#ifndef FIDOADDR_H
#define FIDOADDR_H

struct sAddr
{
	unsigned short zone, net, node, point;
};

#define ADDRLEN 24

#define SADDR sizeof( struct sAddr )

extern int checkaddr( unsigned char *f );

extern int parseaddr( struct sAddr *to, char *from, struct sAddr *def );

extern char *addrtostr( struct sAddr *from );

extern char *shrtaddr( char *to, struct sAddr *from, struct sAddr *ad);

extern int addrcmp( struct sAddr *a1, struct sAddr *a2);

#endif